clang 8.0.0

Macros | Functions
MSP430.cpp File Reference
`#include "MSP430.h"`
`#include "CommonArgs.h"`
`#include "Gnu.h"`
`#include "InputInfo.h"`
`#include "clang/Driver/Compilation.h"`
`#include "clang/Driver/Multilib.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "clang/Basic/MSP430Target.def"`
Include dependency graph for MSP430.cpp:

Go to the source code of this file.

## Macros
#define | MSP430_MCU(NAME) .Case(NAME, true)
#define | MSP430_MCU_FEAT(NAME, HWMULT) .Case(NAME, HWMULT)

## Functions
static bool | isSupportedMCU (const StringRef MCU)
static StringRef | getSupportedHWMult (const Arg *MCU)
static StringRef | getHWMultLib (const ArgList &Args)

## Macro Definition Documentation

## ◆ MSP430_MCU

#define MSP430_MCU | ( |  | NAME | ) | .Case(NAME, true)

Referenced by isSupportedMCU().

## ◆ MSP430_MCU_FEAT

#define MSP430_MCU_FEAT | ( |  | NAME,
|  |  | HWMULT
| ) |  | .Case(NAME, HWMULT)

Referenced by getSupportedHWMult().

## Function Documentation

## ◆ getHWMultLib()

static StringRef getHWMultLib | ( | const ArgList & | Args | ) |
| static

Definition at line 44 of file MSP430.cpp.

References clang::driver::Driver::Diag(), clang::driver::tools::msp430::getMSP430TargetFeatures(), getSupportedHWMult(), and isSupportedMCU().

Referenced by clang::driver::tools::msp430::Linker::ConstructJob().

## ◆ getSupportedHWMult()

static StringRef getSupportedHWMult | ( | const Arg * | MCU | ) |
| static

Definition at line 34 of file MSP430.cpp.

References MSP430_MCU_FEAT.

Referenced by getHWMultLib().

## ◆ isSupportedMCU()

static bool isSupportedMCU | ( | const StringRef | MCU | ) |
| static

Definition at line 27 of file MSP430.cpp.

References MSP430_MCU.

Referenced by getHWMultLib().